Extending Qt Creator Manual | SideBarItem

Extending Qt Creator Manual 4.5.2

# SideBarItem Class

(Core::SideBarItem)

- List of all members, including inherited members

## Public Functions

| SideBarItem(QWidget *widget, const QString &id)
virtual | ~SideBarItem()
virtual QList<QToolButton *> | createToolBarWidgets()
QString | id() const
QString | title() const
QWidget * | widget() const

## Member Function Documentation

### SideBarItem::SideBarItem(QWidget *widget, const QString &id)

Default constructs an instance of SideBarItem.

### `[virtual]` SideBarItem::~SideBarItem()

Destroys the instance of SideBarItem. The destructor is virtual.

### `[virtual]` QList<QToolButton *> SideBarItem::createToolBarWidgets()

### QString SideBarItem::id() const

### QString SideBarItem::title() const

### QWidget *SideBarItem::widget() const